# ArOverlayGeneralConfiguration class

Configuration of the AR overlay displayed on top of barcodes in the camera preview.

## Constructors

ArOverlayGeneralConfiguration({bool visible = false, BadgeStyle? counterBadge, bool automaticSelectionEnabled = false, BarcodeItemInfoPosition barcodeItemInfoPosition = BarcodeItemInfoPosition.BELOW, ArOverlayPolygonConfiguration? polygon, BarcodeItemConfiguration? barcodeItemConfiguration})
ArOverlayGeneralConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

automaticSelectionEnabled ↔ bool
  If enabled, the scanner will always immediately scan a barcode in the viewfinder or the camera view. The overlay will mark the scanned barcodes and stays above them. Default is false
  getter/setter pair
barcodeItemConfiguration ↔ BarcodeItemConfiguration
  Configuration of the barcode info box displayed in the camera preview.
  getter/setter pair
barcodeItemInfoPosition ↔ BarcodeItemInfoPosition
  Where to display the barcode info box in the camera preview. Default is BELOW
  getter/setter pair
counterBadge ↔ BadgeStyle
  Parameters of the counter badge appearance e.g. color of background its stroke and text/icon color.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
polygon ↔ ArOverlayPolygonConfiguration
  Configuration of the overlay polygon displayed on top of a barcode in the camera preview.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
visible ↔ bool
  Control the visibility of the user guidance. Default is false
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited